aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rw-r--r--docs/cheatsheet.md22
-rw-r--r--p10k.zsh2
-rwxr-xr-xscripts/mkln.sh2
-rw-r--r--shell/aliases.sh6
-rwxr-xr-xwsl.install21
-rw-r--r--wt.json3
6 files changed, 40 insertions, 16 deletions
diff --git a/docs/cheatsheet.md b/docs/cheatsheet.md
index 71906a7..4ee0407 100644
--- a/docs/cheatsheet.md
+++ b/docs/cheatsheet.md
@@ -6,8 +6,7 @@ My personal cheat sheet of commands for various tools and workflows
- [WSL2 Yubikey Setup](#wsl2-yubikey-setup)
- [SSH Agent](#ssh-agent)
- [In Windows](#in-windows)
- - [GPG Agent](#gpg-agent)
- - [Windows](#windows)
+ - [VS Code](#vs-code)
- [In WSL2](#in-wsl2)
# Git
@@ -160,6 +159,25 @@ catch {
New-ItemProperty -Path $key.PSPath -Name "wsl-ssh-pageant" -Value "$cmdl"
```
+<!-- Not sure if the following is needed or not. I thought it was but at the time of writing, I realize I did NOT have the .ssh/ssh.BAT file. So it may not be needed.
+
+### VS Code
+
+Due to how VS Code calls ssh, I found it necessary to create a shim for the WSL ssh bin.
+
+First create the following .bat file somewhere in your Windows fs.
+
+```bat
+
+```
+
+Then, in VS Code, put the following in your settings.JSON,
+
+```json
+{
+ "remote.SSH.path": "C:\\Users\\tobyv\\.ssh\\ssh.BAT",
+}
+``` -->
## GPG Agent
diff --git a/p10k.zsh b/p10k.zsh
index 72c1293..1bc87c9 100644
--- a/p10k.zsh
+++ b/p10k.zsh
@@ -989,7 +989,7 @@
#################[ rust_version: rustc version (https://www.rust-lang.org) ]##################
# Rust version color.
- typeset -g POWERLEVEL9K_RUST_VERSION_FOREGROUND=37
+ typeset -g POWERLEVEL9K_RUST_VERSION_FOREGROUND=1
# Show rust version only when in a rust project subdirectory.
typeset -g POWERLEVEL9K_RUST_VERSION_PROJECT_ONLY=true
# Custom icon.
diff --git a/scripts/mkln.sh b/scripts/mkln.sh
index 129a706..b5806a6 100755
--- a/scripts/mkln.sh
+++ b/scripts/mkln.sh
@@ -83,7 +83,7 @@ target=$(wslpath -w $(dirname $2))\\$(basename $2)
if ls -la "$(dirname $2)/" 2>/dev/null | grep -q "$(basename $2)"; then
- current_path=$(powershell.exe -c "(Get-Item $target).Target")
+ current_path=$(powershell.exe -c "(Get-Item $target).Target" 2>/dev/null)
if [[ "${current_path/*wsl$/}" == *"${source/*wsl$/}"* ]]; then
[ "$VERBOSE" == true ] && echo "$(basename $2) is set correctly. Skipping."
diff --git a/shell/aliases.sh b/shell/aliases.sh
index 88cac83..a24288f 100644
--- a/shell/aliases.sh
+++ b/shell/aliases.sh
@@ -7,11 +7,9 @@ alias ll='ls -lh'
alias lla='ls -lA'
alias lsa='ls -lah'
alias grep='grep --color'
-alias cat=bat
+alias cat='bat --paging=never'
alias ipa="ip -s -c -h a"
-alias untar="tar -zxvf "
-alias update="sudo apt update && apt list --upgradable"
-alias upgrade="sudo apt upgrade -y"
+alias untar="tar -zxvf"
# scripts
alias dfi="$DOTFILES/install"
alias dfu="$DOTFILES/update"
diff --git a/wsl.install b/wsl.install
index 2a84b26..8aefe75 100755
--- a/wsl.install
+++ b/wsl.install
@@ -41,13 +41,20 @@ sed -r 's|(RemoteForward\s+.+\s+)\/home\/tobyv\/\.gnupg\/S\.gpg-agent\.extra|\11
${DOTFILES}/ssh/config | sed '/Control/d' >${DOTFILES}/ssh/win.config
# Create windows symlinks to dotfiles
-$mkln $@ ssh/win.config ~/win/.ssh/config
-$mkln $@ gitconfig ~/win/.gitconfig
-$mkln $@ gnupg/gpg.conf ~/win/AppData/Roaming/gnupg/gpg.conf
-$mkln $@ gnupg/gpg-agent.conf ~/win/AppData/Roaming/gnupg/gpg-agent.conf
-$mkln $@ gnupg/scdaemon.conf ~/win/AppData/Roaming/gnupg/scdaemon.conf
-$mkln $@ wt.json ~/win/AppData/Local/Packages/Microsoft.WindowsTerminalPreview_8wekyb3d8bbwe/LocalState/settings.json
-$mkln $@ winget.json ~/win/AppData/Local/Packages/Microsoft.DesktopAppInstaller_8wekyb3d8bbwe/LocalState/settings.json
+$mkln $@ "ssh/win.config" "${HOME}/win/.ssh/config"
+$mkln $@ "gitconfig" "${HOME}/win/.gitconfig"
+$mkln $@ "gnupg/gpg.conf" "${HOME}/win/AppData/Roaming/gnupg/gpg.conf"
+$mkln $@ "gnupg/gpg-agent.conf" "${HOME}/win/AppData/Roaming/gnupg/gpg-agent.conf"
+$mkln $@ "gnupg/scdaemon.conf" "${HOME}/win/AppData/Roaming/gnupg/scdaemon.conf"
+$mkln $@ "wt.json" "${HOME}/win/AppData/Local/Packages/Microsoft.WindowsTerminalPreview_8wekyb3d8bbwe/LocalState/settings.json"
+$mkln $@ "winget.json" "${HOME}/win/AppData/Local/Packages/Microsoft.DesktopAppInstaller_8wekyb3d8bbwe/LocalState/settings.json"
+
+# https://github.com/wslutilities/wslu
+if ! command -v wslview &>/dev/null; then
+ echo "wslu is not installed."
+ echo "wslu (wslview) is needed to open browser windows from linux commands."
+ echo "install instructions: https://github.com/wslutilities/wslu#installation"
+fi
# Import gpg key
if gpg.exe --recv-key 0xC8F6E06F5C8E2634 &>/dev/null; then
diff --git a/wt.json b/wt.json
index d707d63..420f1bc 100644
--- a/wt.json
+++ b/wt.json
@@ -59,7 +59,6 @@
"keys": "f1"
}
],
- "alwaysShowTrayIcon": true,
"confirmCloseAllTabs": false,
"defaultProfile": "{58ad8b0c-3ef8-5f4d-bc6f-13e4c00f2530}",
"disabledProfileSources":
@@ -67,6 +66,8 @@
"Windows.Terminal.Azure"
],
"experimental.rendering.forceFullRepaint": true,
+ "initialCols": 120,
+ "initialRows": 30,
"multiLinePasteWarning": false,
"profiles":
{